summarylogtreecommitdiffstats
path: root/mist-icon-theme.install
diff options
context:
space:
mode:
Diffstat (limited to 'mist-icon-theme.install')
-rw-r--r--mist-icon-theme.install24
1 files changed, 24 insertions, 0 deletions
diff --git a/mist-icon-theme.install b/mist-icon-theme.install
new file mode 100644
index 000000000000..12be2249c204
--- /dev/null
+++ b/mist-icon-theme.install
@@ -0,0 +1,24 @@
+ICONDIR="/usr/share/icons/Mist"
+
+update_icon_cache() {
+ echo "Updating GTK icon cache..." || return 1
+ gtk-update-icon-cache -f -t "${ICONDIR}" || return 1
+}
+
+
+# arg 1: the new package version
+post_install() {
+ update_icon_cache
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ update_icon_cache
+}
+
+# arg 1: the old package version
+post_remove() {
+ update_icon_cache
+ rmdir "${ICONDIR}"
+}